summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2014-02-02 00:38:40 +0100
committer Robby Workman2014-02-02 09:09:48 +0100
commitb655b74928f32574b7549f521d08e9fd198ed4dc (patch)
tree9ef5fc5c8c56d6005018e90f61d7fe0f3df5210c /gis
parentfe0752ce19910951f0d11500f65762eef1a756e9 (diff)
downloadslackbuilds-b655b74928f32574b7549f521d08e9fd198ed4dc.tar.gz
gis/mapnik: Moved from Academic category.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/mapnik/README8
-rw-r--r--gis/mapnik/mapnik.SlackBuild97
-rw-r--r--gis/mapnik/mapnik.info10
-rw-r--r--gis/mapnik/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/gis/mapnik/README b/gis/mapnik/README
new file mode 100644
index 0000000000..86fba9844e
--- /dev/null
+++ b/gis/mapnik/README
@@ -0,0 +1,8 @@
+Mapnik is a Free Toolkit for developing mapping applications using a C++
+API or Python bindings.
+
+Mapnik can be used for both desktop map design and web development.
+
+Optional dependencies:
+- gdal: for GDAL and OGR plugin support
+- postgis: for PostGIS plugin support
diff --git a/gis/mapnik/mapnik.SlackBuild b/gis/mapnik/mapnik.SlackBuild
new file mode 100644
index 0000000000..63e1958434
--- /dev/null
+++ b/gis/mapnik/mapnik.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+#
+# SlackBuild for Mapnik
+#
+# Copyright 2012 Benjamin Trigona-Harany <slackbuilds@jaxartes.net>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mapnik
+VERSION=${VERSION:-2.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+JOBS=${JOBS:-1}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION
+tar xjf $CWD/$PRGNAM-v$VERSION.tar.bz2
+cd $PRGNAM-v$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ JOBS=$JOBS \
+ CUSTOM_CFLAGS="$SLKCFLAGS" \
+ CUSTOM_CXXFLAGS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ LIBDIR_SCHEMA=lib$LIBDIRSUFFIX \
+ SYSTEM_FONTS=/usr/share/fonts \
+ DESTDIR=$PKG
+make
+make install
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS.md CHANGELOG.md COPYING INSTALL.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/mapnik/mapnik.info b/gis/mapnik/mapnik.info
new file mode 100644
index 0000000000..2078aa8141
--- /dev/null
+++ b/gis/mapnik/mapnik.info
@@ -0,0 +1,10 @@
+PRGNAM="mapnik"
+VERSION="2.2.0"
+HOMEPAGE="http://mapnik.org"
+DOWNLOAD="http://mapnik.s3.amazonaws.com/dist/v2.2.0/mapnik-v2.2.0.tar.bz2"
+MD5SUM="b5357848dc6806bcd43e245f4fdefdaf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="proj"
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="slackbuilds@jaxartes.net"
diff --git a/gis/mapnik/slack-desc b/gis/mapnik/slack-desc
new file mode 100644
index 0000000000..6f0c32656c
--- /dev/null
+++ b/gis/mapnik/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mapnik: mapnik (map-rendering toolkit)
+mapnik:
+mapnik: Mapnik is an open source toolkit for rendering maps.
+mapnik:
+mapnik: Mapnik supports a variety of geospatial data formats and provides
+mapnik: flexible styling options for designing many different kinds of maps.
+mapnik:
+mapnik:
+mapnik:
+mapnik:
+mapnik: